## org.eclipse.emf.workspace.examples.extlibrary.actions
Class LongRunningReadAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.workspace.examples.extlibrary.actions.LongRunningReadAction

All Implemented Interfaces:
  IAction

    public class LongRunningReadAction

extends Action

A pathetic example of a background job that simulates reading from the model (though not actually reading anything, only obtaining a read lock). The job simply loops sixty times, sleeping for 500 millis and printing a message, all within the context of a read-only transaction on the editing domain. At each iteration, after sleeping and checking the progress monitor for cancellation, the job yields the editing domain to any other transactions that need to read. Such transactions might include UI refreshes or even other concurrent instances of this job.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`LongRunningReadAction()`

Method Summary
`void` `run()`
`void` `setActiveWorkbenchPart(IWorkbenchPart workbenchPart)`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### LongRunningReadAction

    public LongRunningReadAction()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### setActiveWorkbenchPart

    public void setActiveWorkbenchPart(IWorkbenchPart workbenchPart)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.